Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

babel-preset-env dosen't polyfill es.array.iterator in IE11 #10140

Open
VIGDXX opened this issue Jun 28, 2019 · 7 comments

Comments

Projects
None yet
4 participants
@VIGDXX
Copy link

commented Jun 28, 2019

Bug Report

Current Behavior
Unhandled promise rejection TypeError:traget is not iterable!

Input Code

Expected behavior/code

Environment

  • Babel version(s): 7.4.5

Possible Solution

Additional context/Screenshots

other
I have seen the same problem 7395
and the pr 7400

but it didn't solve the problem.

image
I build my project with webpack ,i fix it as the picture show

9872

@babel-bot

This comment has been minimized.

Copy link
Collaborator

commented Jun 28, 2019

Hey @VIGDXX! We really appreciate you taking the time to report an issue. The collaborators
on this project attempt to help as many people as possible, but we're a limited number of volunteers,
so it's possible this won't be addressed swiftly.

If you need any help, or just have general Babel or JavaScript questions, we have a vibrant Slack
community
that typically always has someone willing to help. You can sign-up here
for an invite.

@VIGDXX

This comment has been minimized.

Copy link
Author

commented Jun 28, 2019

@nicolo-ribaudo

This comment has been minimized.

Copy link
Member

commented Jun 30, 2019

What is your configuration?

@VIGDXX

This comment has been minimized.

Copy link
Author

commented Jul 1, 2019

this is my .babelrc and browserslist

{
  "presets": [
    [
      "@babel/preset-env",
      {
        "useBuiltIns": "usage",
      }
    ]
  ],
  "plugins": [
    "@babel/plugin-syntax-dynamic-import"
  ]
}
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
@nicolo-ribaudo

This comment has been minimized.

Copy link
Member

commented Jul 1, 2019

Ok, since you are using "usage" we also need to see the line of code which should need the polyfill, to understand why Babel doesn't load it.

@VIGDXX

This comment has been minimized.

Copy link
Author

commented Jul 1, 2019

importing an component dynamically in vue-router

const Home = () => import('@/pages/home/index');
@zloirock

This comment has been minimized.

Copy link
Member

commented Jul 1, 2019

It's a duplicate of #9872.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.